Build #7 for ideas-0.6

[all reports]

Package ideas-0.6
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-30 00:49:46.635145 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies QuickCheck-2.9.2, base-4.9.0.0, cgi-3001.3.0.2, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, old-time-1.1.0.3, parsec-3.1.11, random-1.1, time-1.6.0.1, uulib-0.9.22
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Configuring network-2.6.3.1...
Building mtl-2.2.1...
Building network-2.6.3.1...
Installed mtl-2.2.1
Configuring old-locale-1.0.0.7...
Building old-locale-1.0.0.7...
Configuring primitive-0.6.2.0...
Installed old-locale-1.0.0.7
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed network-2.6.3.1
Building random-1.1...
Configuring stm-2.4.4.1...
Installed primitive-0.6.2.0
Building stm-2.4.4.1...
Configuring transformers-compat-0.5.1.4...
Installed random-1.1
Building transformers-compat-0.5.1.4...
Configuring text-1.2.2.1...
Installed transformers-compat-0.5.1.4
Configuring uulib-0.9.22...
Installed stm-2.4.4.1
Building text-1.2.2.1...
Building uulib-0.9.22...
Installed uulib-0.9.22
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Configuring exceptions-0.8.3...
Installed old-time-1.1.0.3
Building exceptions-0.8.3...
Configuring tf-random-0.5...
Installed text-1.2.2.1
Building tf-random-0.5...
Installed exceptions-0.8.3
Configuring parsec-3.1.11...
Building parsec-3.1.11...
Installed tf-random-0.5
Configuring QuickCheck-2.9.2...
Building QuickCheck-2.9.2...
Installed parsec-3.1.11
Configuring network-uri-2.6.1.0...
Building network-uri-2.6.1.0...
Configuring multipart-0.1.2...
Installed network-uri-2.6.1.0
Building multipart-0.1.2...
Installed multipart-0.1.2
Configuring cgi-3001.3.0.2...
Building cgi-3001.3.0.2...
Installed QuickCheck-2.9.2
Installed cgi-3001.3.0.2
Configuring ideas-0.6...
Building ideas-0.6...
Failed to install ideas-0.6
Build log ( /home/builder/.cabal/logs/ideas-0.6.log ):
cabal: Entering directory '/tmp/cabal-tmp-30690/ideas-0.6'
Configuring ideas-0.6...
Building ideas-0.6...
Preprocessing executable 'ideas' for ideas-0.6...
[  1 of 159] Compiling Text.XML.ParseLib ( src/Text/XML/ParseLib.hs, dist/build/ideas/ideas-tmp/Text/XML/ParseLib.o )
[  2 of 159] Compiling Text.XML.Document ( src/Text/XML/Document.hs, dist/build/ideas/ideas-tmp/Text/XML/Document.o )
[  3 of 159] Compiling Text.UTF8        ( src/Text/UTF8.hs, dist/build/ideas/ideas-tmp/Text/UTF8.o )

src/Text/UTF8.hs:21:1: warning: [-Wdeprecations]
    Module ‘Control.Monad.Error’ is deprecated:
      Use Control.Monad.Except instead
[  4 of 159] Compiling Text.XML.Unicode ( src/Text/XML/Unicode.hs, dist/build/ideas/ideas-tmp/Text/XML/Unicode.o )
[  5 of 159] Compiling Text.XML.Parser  ( src/Text/XML/Parser.hs, dist/build/ideas/ideas-tmp/Text/XML/Parser.o )
[  6 of 159] Compiling Text.XML.Interface ( src/Text/XML/Interface.hs, dist/build/ideas/ideas-tmp/Text/XML/Interface.o )

src/Text/XML/Interface.hs:21:1: warning: [-Wdeprecations]
    Module ‘Control.Monad.Error’ is deprecated:
      Use Control.Monad.Except instead
[  7 of 159] Compiling Text.XML         ( src/Text/XML.hs, dist/build/ideas/ideas-tmp/Text/XML.o )

src/Text/XML.hs:102:10: error:
    • No instance for (Applicative XMLBuilderM)
        arising from the superclasses of an instance declaration
    • In the instance declaration for ‘Monad XMLBuilderM’
cabal: Leaving directory '/tmp/cabal-tmp-30690/ideas-0.6'
cabal: Error: some packages failed to install:
ideas-0.6 failed during the building phase. The exception was:
ExitFailure 1